
import tensorflow as tf
import numpy as np
import random

def generate_random_matrix(rows, cols, min_val=-10, max_val=10):
    """
    Generate a random matrix with specified rows, columns, and value range.
    """
    matrix = tf.random.uniform((rows, cols), minval=min_val, maxval=max_val, dtype=tf.float32)
    return matrix.numpy()

# Code Explanation
# The function generate_random_matrix creates a random matrix with a specified number of rows and columns, and a range for the values.
# It uses TensorFlow to generate the matrix, which is then converted to a numpy array for further processing if needed.

# JSON Explanation
